GHA RFC vs Hawick · Schotse Premiership
Schotse Premiership · 2025-26Afgelopen

14–7

Wedstrijdverslag
GHA RFC versloeg Hawick met 14-7 in Giffnock (Braidholm) op zaterdag 22 november 2025 (Schotse Premiership, speelronde 10).
GHA RFC maakt een einde aan een reeks van vier nederlagen. Hawick verloor nu vier keer op rij.
Automatisch geschreven op basis van de wedstrijdgegevens; wordt bijgewerkt zodra uitslagen binnenkomen.
Onderlinge duels
4
GHA RFC gewonnen (57%)
0
Gelijk (0%)
3
Hawick gewonnen (43%)
Laatste 7 onderlinge duels, sinds september 2021
Grootste zege GHA RFC
33–19
19 sep 2026
Grootste zege Hawick
48–22
27 nov 2021
Laatste 5 duels
- 19 sep 2026 · Schotse PremiershipHawick19GHA RFC3319 sep 2026Hawick19–33GHA RFCSchotse Premiership
- 22 nov 2025 · Schotse PremiershipGHA RFC14Hawick722 nov 2025GHA RFC14–7HawickSchotse Premiership
- 23 aug 2025 · Schotse PremiershipHawick20GHA RFC2923 aug 2025Hawick20–29GHA RFCSchotse Premiership
- 18 feb 2023 · Schotse PremiershipHawick15GHA RFC1318 feb 2023Hawick15–13GHA RFCSchotse Premiership
- 1 okt 2022 · Schotse PremiershipGHA RFC24Hawick411 okt 2022GHA RFC24–41HawickSchotse Premiership